package cat.itb.mateuyabar.dam.m03.uf6.projecte;

import cat.itb.mateuyabar.dam.m03.uf6.projecte.data.RectangleDao;
import cat.itb.mateuyabar.dam.m03.uf6.projecte.data.RectangleDatabase;
import cat.itb.mateuyabar.dam.m03.uf6.projecte.ui.MainMenu;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.Scanner;

public class RectangleApp {
    public static void main(String[] args) throws SQLException {
        Scanner scanner = new Scanner(System.in);
        RectangleDatabase database = new RectangleDatabase();
        try(Connection connection = database.connect()) {
            RectangleDao rectangleDao = new RectangleDao(database);
            MainMenu menu = new MainMenu(rectangleDao, scanner);
            menu.draw();
        }
    }
}
