package cat.itb.mateuyabar.dam.m03.uf6.projecte.ui;



import cat.itb.mateuyabar.dam.m03.uf3.project.data.League;
import cat.itb.mateuyabar.dam.m03.uf3.project.ui.StorageMenu;
import cat.itb.mateuyabar.dam.m03.uf3.project.ui.TeamMenu;
import cat.itb.mateuyabar.dam.m03.uf6.projecte.data.RectangleDao;
import cat.itb.mateuyabar.dam.m03.uf6.projecte.domain.Rectangle;

import java.sql.SQLException;
import java.util.List;
import java.util.Scanner;

/**
 * Displays main menu of the application
 */
public class MainMenu {
    RectangleDao rectangleDao;
    Scanner scanner;

    public MainMenu(RectangleDao rectangleDao, Scanner scanner) {
        this.rectangleDao = rectangleDao;
        this.scanner = scanner;
    }

    public void draw() throws SQLException {
        while(true) {
            System.out.printf("0.Exit%n1.List Rectangles%n2.");
            int operation = scanner.nextInt();
            switch (operation) {
                case 1:
                    listRectangles();
                case 2:// TODO
                    break;
                case 0: //exit
                    return;
            }
        }
    }

    private void listRectangles() throws SQLException {
        List<Rectangle> rectangles = rectangleDao.list();
        System.out.println(rectangles);
    }


}
