package cat.itb.mateuyabar.dam.m03.uf6.projecte;

import cat.itb.mateuyabar.dam.m03.uf6.projecte.domain.Rectangle;

import java.sql.*;
import java.util.ArrayList;
import java.util.List;

public class Sample {
    public static void main(String[] args) throws SQLException {
        String URL = "jdbc:postgresql://url:port/";
        String BD = "baseDeDades";
        String USER = "user";
        String PASS = "password";

        try (Connection connection = DriverManager.getConnection(URL + BD, USER, PASS)){
            // Insert
            String query = "INSERT INTO rectangles(width, height) VALUES(?, ?)";
            PreparedStatement insertStatement = connection.prepareStatement(query);
            insertStatement.setInt(1, 34);
            insertStatement.setInt(2, 77);
            insertStatement.execute();

            // List
            String listQuery = "SELECT * FROM rectangles";
            Statement listStatement = connection.createStatement();
            ResultSet resultat = listStatement.executeQuery(listQuery);

            List<Rectangle> list = new ArrayList<>();
            while (resultat.next()){
                int id = resultat.getInt("id");
                int width = resultat.getInt("width");
                int height = resultat.getInt("height");
                list.add(new Rectangle(id, width, height));
            }
            System.out.println(list);
        }
    }
}
